<template>
  <div class="deposit-input-wrapper">
    <input
      class="deposit-input"
      :class="error ? 'error' : ''"
      :type="type"
      :placeholder="label"
      :value="val"
      :maxlength="maxLength"
      @input="updateInput">
  </div>
</template>

<script>
  export default {
    name: "Input_deposit",
    props: {
      type: {
        type: String,
        default: 'text'
      },
      error: {
        type: Boolean,
        default: false
      },
      label: {
        type: String,
        default: 'Placeholder'
      },
      value: [String, Number],
      maxLength: {
        type: Number,
      }
    },
    data() {
      return {}
    },
    computed: {
      val() {
        return this.value;
      }
    },
    methods: {
      updateInput(val) {
        this.$emit('input', val.target.value);
      }
    }
  }
</script>
